package com.rjconsultores.ventaboletos.entidad;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "CAJA")
public class Caja implements java.io.Serializable {

	private static final long serialVersionUID = -4352546555190468104L;

	@Id
	@Column(name = "CAJA_ID", unique = true, nullable = false, precision = 15, scale = 0)
	private Long cajaId;

	@Column(name = "NUMASIENTO", length = 12)
	private String numasiento;

	@Column(name = "CATEGORIA_ID")
	private Integer categoriaId;

	@Column(name = "NUMFOLIOSISTEMA", length = 36)
	private String numfoliosistema;

	@Column(name = "CLASESERVICIO_ID", precision = 2, scale = 0)
	private Byte claseservicioId;

	@Column(name = "MARCA_ID", precision = 3, scale = 0)
	private Short marcaId;

	@Column(name = "ORIGEN_ID", precision = 7, scale = 0)
	private Integer origenId;

	@Column(name = "DESTINO_ID", precision = 7, scale = 0)
	private Integer destinoId;

	@Column(name = "CORRIDA_ID", precision = 7, scale = 0)
	private Integer corridaId;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECCORRIDA", length = 7)
	private Date feccorrida;

	@Column(name = "NOMBPASAJERO", length = 180)
	private String nombpasajero;

	@Column(name = "PRECIOBASE", precision = 7)
	private BigDecimal preciobase;

	@Column(name = "PRECIOPAGADO", precision = 7)
	private BigDecimal preciopagado;

	@Column(name = "DESCUENTOAMPARADO", precision = 7)
	private BigDecimal descuentoamparado;

	@Column(name = "TIPOVENTA_ID", precision = 2, scale = 0)
	private Byte tipoventaId;

	@Column(name = "NUMSERIEPREIMPRESA", length = 30)
	private String numseriepreimpresa;

	@Column(name = "NUMFOLIOPREIMPRESO", length = 36)
	private String numfoliopreimpreso;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECHORVIAJE", length = 7)
	private Date fechorviaje;

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "FECHORVENTA")
	private Date fechorventa;

	@Column(name = "PUNTOVENTA_ID", precision = 7, scale = 0)
	private Integer puntoventaId;

	@Column(name = "NUMKMVIAJE", precision = 7)
	private BigDecimal numkmviaje;

	@Column(name = "NUMOPERACION", length = 36)
	private String numoperacion;

	@Column(name = "INDSTATUSOPERACION", length = 3)
	private String indstatusoperacion;

	@Column(name = "MOTIVOCANCELACION_ID", precision = 2, scale = 0)
	private Byte motivocancelacionId;

	@Column(name = "MOTIVOREIMPRESION_ID", precision = 2, scale = 0)
	private Byte motivoreimpresionId;

	@Column(name = "CANTPUNTOS", precision = 6, scale = 0)
	private Integer cantpuntos;

	@Column(name = "EMPRESAPUNTOVENTA_ID", precision = 7, scale = 0)
	private Integer empresapuntoventaId;

	@Column(name = "EMPRESACORRIDA_ID", precision = 7, scale = 0)
	private Integer empresacorridaId;

	@Column(name = "NUMRESERVACION", length = 36)
	private String numreservacion;

	@Column(name = "TURNO_ID", precision = 2, scale = 0)
	private Byte turnoId;

	@Column(name = "INDSTATUSBOLETO", length = 3)
	private String indstatusboleto;

	@Column(name = "INDCANCELACION", precision = 1, scale = 0)
	private Boolean indcancelacion;

	@Column(name = "INDREIMPRESION", precision = 1, scale = 0)
	private Boolean indreimpresion;

	@Column(name = "INDVIAJEREDONDO", precision = 1, scale = 0)
	private Boolean indviajeredondo;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECCORTE", length = 7)
	private Date feccorte;

	@Column(name = "INDEXTRAVIADO", precision = 1, scale = 0)
	private Boolean indextraviado;

	@Column(name = "PARIDAD", precision = 7)
	private BigDecimal paridad;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECCREACION", length = 7)
	private Date feccreacion;

	@Column(name = "CONVENIODET_ID", precision = 7, scale = 0)
	private Integer conveniodetId;

	@Column(name = "MONEDA_ID", precision = 7, scale = 0)
	private Integer monedaId;

	@Column(name = "ESTACION_ID", precision = 7, scale = 0)
	private Integer estacionId;

	@Column(name = "INDREPLICA", precision = 1, scale = 0)
	private Boolean indreplica;

	@Column(name = "USUARIOAUTORIZACION_ID", precision = 7, scale = 0)
	private Integer usuarioautorizacionId;

	@Column(name = "TIPOIDENTIFICACION_ID", precision = 2, scale = 0)
	private Byte tipoidentificacionId;

	@Column(name = "NUMIDENTIFICACION", length = 60)
	private String numidentificacion;

	@Column(name = "CLIENTEFIDELIDAD_ID", precision = 15, scale = 0)
	private Long clientefidelidadId;

	@Column(name = "OPCIONAL1", precision = 7, scale = 0)
	private Integer opcional1;

	@Column(name = "OPCIONAL2", precision = 7, scale = 0)
	private Integer opcional2;

	@Column(name = "OPCIONAL3", length = 60)
	private String opcional3;

	@Column(name = "PRECIOCARGOEXTRA", precision = 7)
	private BigDecimal preciocargoextra;

	@Column(name = "PRECIOPRICING", precision = 7)
	private BigDecimal preciopricing;

	@Column(name = "CAJAORIGINAL_ID", precision = 15, scale = 0)
	private Long cajaoriginalId;

	@Column(name = "USUARIOREMOTO_ID", precision = 7, scale = 0)
	private Integer usuarioremotoId;

	@Column(name = "PUNTOVENTAREMOTO_ID", precision = 7, scale = 0)
	private Integer puntoventaremotoId;

	@Column(name = "NUMDOCDESCUENTO", length = 30)
	private String numdocdescuento;

	@Column(name = "CANTTRANSFERENCIA", precision = 2, scale = 0)
	private Byte canttransferencia;

	@Column(name = "ACTIVO", precision = 1, scale = 0)
	private Boolean activo;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECMODIF", length = 7)
	private Date fecmodif;

	@Column(name = "USUARIO_ID", precision = 7, scale = 0)
	private Integer usuarioId;

	@Column(name = "NODO_ID", precision = 2, scale = 0)
	private Byte nodoId;

	@Column(name = "PORCCATEGORIA", precision = 7)
	private BigDecimal porccategoria;

	@Column(name = "IMPORTECATEGORIA", precision = 7)
	private BigDecimal importecategoria;

	@Column(name = "CLIENTE_ID", precision = 7, scale = 0)
	private Integer clienteId;

	@Column(name = "PAGORECAUDACION_ID", precision = 7, scale = 0)
	private Integer pagorecaudacionId;

	@Column(name = "PAGORECAUDACION2_ID", precision = 7, scale = 0)
	private Integer pagorecaudacion2Id;

	@Column(name = "IMPORTETAXAEMBARQUE", precision = 7)
	private BigDecimal importetaxaembarque;

	@Column(name = "IMPORTEPEDAGIO", precision = 7)
	private BigDecimal importepedagio;

	@Column(name = "IMPORTEOUTROS", precision = 7)
	private BigDecimal importeoutros;

	@Column(name = "IMPORTESEGURO", precision = 7)
	private BigDecimal importeseguro;

	@Column(name = "INDCONEXION", precision = 1, scale = 0)
	private Boolean indconexion;

	@Column(name = "LEVANTE_ID", precision = 7, scale = 0)
	private Integer levanteId;

	@Column(name = "RUTA_ID", precision = 7, scale = 0)
	private Integer rutaId;

	@Column(name = "SERIEIMPFISCAL", length = 6)
	private String serieimpfiscal;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECINTEGRACION", length = 7)
	private Date fecintegracion;

	@Column(name = "PTOVTAVENTA_ID", precision = 7, scale = 0)
	private Integer ptovtaventaId;

	@Column(name = "INDREMOTOINVERSO", precision = 1, scale = 0)
	private Boolean indremotoinverso;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECNACIMIENTO", length = 7)
	private Date fecnacimiento;

	@Column(name = "DISPOSITIVOEMBARCADA", length = 15)
	private String dispositivoembarcada;

	@Column(name = "NUMEROBILHETEEMBARCADA", precision = 15, scale = 0)
	private Long numerobilheteembarcada;

	@Column(name = "NUMASIENTOVINCULADO", length = 3)
	private String numasientovinculado;

	@Column(name = "CCF", length = 6)
	private String ccf;

	@Temporal(TemporalType.DATE)
	@Column(name = "FECHORVENTA_H")
	private Date fechorventaH;

	@Column(name = "SERIEIMPFISCALORIGINAL", length = 6)
	private String serieimpfiscaloriginal;

	@Column(name = "INDINTEGRADOAG", precision = 1, scale = 0)
	private Boolean indintegradoag;

	@Column(name = "TRANSACAO_ID", precision = 15, scale = 0)
	private Long transacaoId;

	@Column(name = "TRANSACAOORIGINAL_ID", precision = 15, scale = 0)
	private Long transacaooriginalId;

	@Column(name = "DESCNUMDOC", length = 45)
	private String descnumdoc;

	@Column(name = "DESCNUMDOC2", length = 45)
	private String descnumdoc2;

	@Column(name = "DESCTIPODOC", length = 15)
	private String desctipodoc;

	@Column(name = "DESCTIPODOC2", length = 15)
	private String desctipodoc2;

	@Column(name = "DESCTELEFONO", length = 15)
	private String desctelefono;

	@Column(name = "AIDF_ID", precision = 15, scale = 0)
	private Long aidfId;

	@Column(name = "NACIONALIDAD", length = 30)
	private String nacionalidad;

	@Column(name = "SEXO", length = 1)
	private String sexo;

	@OneToMany(mappedBy = "caja")
	private List<CajaFormaPago> cajaFormaPago;

	@Column(name = "INTEGRADOTOTVS", precision = 1, scale = 0)
	private Integer integradoTotvs;

	@Column(name = "ERRO", precision = 1, scale = 0)
	private String erro;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "FECHORINTEGRADOTOTVS")
	private Date fechorIntegradoTotvs;
	
	@Column(name = "CONTADORINTEGRADOTOTVS", precision = 7, scale = 0)
	private Integer contadorIntegradoTotvs;
	

	public Caja() {
	}

	public Caja(Long cajaId, boolean indintegradoag) {
		this.cajaId = cajaId;
		this.indintegradoag = indintegradoag;
	}

	public Caja(Long cajaId, String numasiento, Integer categoriaId, String numfoliosistema, Byte claseservicioId,
			Short marcaId, Integer origenId, Integer destinoId, Integer corridaId, Date feccorrida, String nombpasajero,
			BigDecimal preciobase, BigDecimal preciopagado, BigDecimal descuentoamparado, Byte tipoventaId,
			String numseriepreimpresa, String numfoliopreimpreso, Date fechorviaje, Date fechorventa,
			Integer puntoventaId, BigDecimal numkmviaje, String numoperacion, String indstatusoperacion,
			Byte motivocancelacionId, Byte motivoreimpresionId, Integer cantpuntos, Integer empresapuntoventaId,
			Integer empresacorridaId, String numreservacion, Byte turnoId, String indstatusboleto,
			Boolean indcancelacion, Boolean indreimpresion, Boolean indviajeredondo, Date feccorte,
			Boolean indextraviado, BigDecimal paridad, Date feccreacion, Integer conveniodetId, Integer monedaId,
			Integer estacionId, Boolean indreplica, Integer usuarioautorizacionId, Byte tipoidentificacionId,
			String numidentificacion, Long clientefidelidadId, Integer opcional1, Integer opcional2, String opcional3,
			BigDecimal preciocargoextra, BigDecimal preciopricing, Long cajaoriginalId, Integer usuarioremotoId,
			Integer puntoventaremotoId, String numdocdescuento, Byte canttransferencia, Boolean activo, Date fecmodif,
			Integer usuarioId, Byte nodoId, BigDecimal porccategoria, BigDecimal importecategoria, Integer clienteId,
			Integer pagorecaudacionId, Integer pagorecaudacion2Id, BigDecimal importetaxaembarque,
			BigDecimal importepedagio, BigDecimal importeoutros, BigDecimal importeseguro, Boolean indconexion,
			Integer levanteId, Integer rutaId, String serieimpfiscal, Date fecintegracion, Integer ptovtaventaId,
			Boolean indremotoinverso, Date fecnacimiento, String dispositivoembarcada, Long numerobilheteembarcada,
			String numasientovinculado, String ccf, Date fechorventaH, String serieimpfiscaloriginal,
			Boolean indintegradoag, Long transacaoId, Long transacaooriginalId, String descnumdoc, String descnumdoc2,
			String desctipodoc, String desctipodoc2, String desctelefono, Long aidfId, String nacionalidad,
			String sexo) {
		this.cajaId = cajaId;
		this.numasiento = numasiento;
		this.categoriaId = categoriaId;
		this.numfoliosistema = numfoliosistema;
		this.claseservicioId = claseservicioId;
		this.marcaId = marcaId;
		this.origenId = origenId;
		this.destinoId = destinoId;
		this.corridaId = corridaId;
		this.feccorrida = feccorrida;
		this.nombpasajero = nombpasajero;
		this.preciobase = preciobase;
		this.preciopagado = preciopagado;
		this.descuentoamparado = descuentoamparado;
		this.tipoventaId = tipoventaId;
		this.numseriepreimpresa = numseriepreimpresa;
		this.numfoliopreimpreso = numfoliopreimpreso;
		this.fechorviaje = fechorviaje;
		this.fechorventa = fechorventa;
		this.puntoventaId = puntoventaId;
		this.numkmviaje = numkmviaje;
		this.numoperacion = numoperacion;
		this.indstatusoperacion = indstatusoperacion;
		this.motivocancelacionId = motivocancelacionId;
		this.motivoreimpresionId = motivoreimpresionId;
		this.cantpuntos = cantpuntos;
		this.empresapuntoventaId = empresapuntoventaId;
		this.empresacorridaId = empresacorridaId;
		this.numreservacion = numreservacion;
		this.turnoId = turnoId;
		this.indstatusboleto = indstatusboleto;
		this.indcancelacion = indcancelacion;
		this.indreimpresion = indreimpresion;
		this.indviajeredondo = indviajeredondo;
		this.feccorte = feccorte;
		this.indextraviado = indextraviado;
		this.paridad = paridad;
		this.feccreacion = feccreacion;
		this.conveniodetId = conveniodetId;
		this.monedaId = monedaId;
		this.estacionId = estacionId;
		this.indreplica = indreplica;
		this.usuarioautorizacionId = usuarioautorizacionId;
		this.tipoidentificacionId = tipoidentificacionId;
		this.numidentificacion = numidentificacion;
		this.clientefidelidadId = clientefidelidadId;
		this.opcional1 = opcional1;
		this.opcional2 = opcional2;
		this.opcional3 = opcional3;
		this.preciocargoextra = preciocargoextra;
		this.preciopricing = preciopricing;
		this.cajaoriginalId = cajaoriginalId;
		this.usuarioremotoId = usuarioremotoId;
		this.puntoventaremotoId = puntoventaremotoId;
		this.numdocdescuento = numdocdescuento;
		this.canttransferencia = canttransferencia;
		this.activo = activo;
		this.fecmodif = fecmodif;
		this.usuarioId = usuarioId;
		this.nodoId = nodoId;
		this.porccategoria = porccategoria;
		this.importecategoria = importecategoria;
		this.clienteId = clienteId;
		this.pagorecaudacionId = pagorecaudacionId;
		this.pagorecaudacion2Id = pagorecaudacion2Id;
		this.importetaxaembarque = importetaxaembarque;
		this.importepedagio = importepedagio;
		this.importeoutros = importeoutros;
		this.importeseguro = importeseguro;
		this.indconexion = indconexion;
		this.levanteId = levanteId;
		this.rutaId = rutaId;
		this.serieimpfiscal = serieimpfiscal;
		this.fecintegracion = fecintegracion;
		this.ptovtaventaId = ptovtaventaId;
		this.indremotoinverso = indremotoinverso;
		this.fecnacimiento = fecnacimiento;
		this.dispositivoembarcada = dispositivoembarcada;
		this.numerobilheteembarcada = numerobilheteembarcada;
		this.numasientovinculado = numasientovinculado;
		this.ccf = ccf;
		this.fechorventaH = fechorventaH;
		this.serieimpfiscaloriginal = serieimpfiscaloriginal;
		this.indintegradoag = indintegradoag;
		this.transacaoId = transacaoId;
		this.transacaooriginalId = transacaooriginalId;
		this.descnumdoc = descnumdoc;
		this.descnumdoc2 = descnumdoc2;
		this.desctipodoc = desctipodoc;
		this.desctipodoc2 = desctipodoc2;
		this.desctelefono = desctelefono;
		this.aidfId = aidfId;
		this.nacionalidad = nacionalidad;
		this.sexo = sexo;
	}

	public Long getCajaId() {
		return this.cajaId;
	}

	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}

	public String getNumasiento() {
		return this.numasiento;
	}

	public void setNumasiento(String numasiento) {
		this.numasiento = numasiento;
	}

	public Integer getCategoriaId() {
		return this.categoriaId;
	}

	public void setCategoriaId(Integer categoriaId) {
		this.categoriaId = categoriaId;
	}

	public String getNumfoliosistema() {
		return this.numfoliosistema;
	}

	public void setNumfoliosistema(String numfoliosistema) {
		this.numfoliosistema = numfoliosistema;
	}

	public Byte getClaseservicioId() {
		return this.claseservicioId;
	}

	public void setClaseservicioId(Byte claseservicioId) {
		this.claseservicioId = claseservicioId;
	}

	public Short getMarcaId() {
		return this.marcaId;
	}

	public void setMarcaId(Short marcaId) {
		this.marcaId = marcaId;
	}

	public Integer getOrigenId() {
		return this.origenId;
	}

	public void setOrigenId(Integer origenId) {
		this.origenId = origenId;
	}

	public Integer getDestinoId() {
		return this.destinoId;
	}

	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}

	public Integer getCorridaId() {
		return this.corridaId;
	}

	public void setCorridaId(Integer corridaId) {
		this.corridaId = corridaId;
	}

	public Date getFeccorrida() {
		return this.feccorrida;
	}

	public void setFeccorrida(Date feccorrida) {
		this.feccorrida = feccorrida;
	}

	public String getNombpasajero() {
		return this.nombpasajero;
	}

	public void setNombpasajero(String nombpasajero) {
		this.nombpasajero = nombpasajero;
	}

	public BigDecimal getPreciobase() {
		return this.preciobase;
	}

	public void setPreciobase(BigDecimal preciobase) {
		this.preciobase = preciobase;
	}

	public BigDecimal getPreciopagado() {
		return this.preciopagado;
	}

	public void setPreciopagado(BigDecimal preciopagado) {
		this.preciopagado = preciopagado;
	}

	public BigDecimal getDescuentoamparado() {
		return this.descuentoamparado;
	}

	public void setDescuentoamparado(BigDecimal descuentoamparado) {
		this.descuentoamparado = descuentoamparado;
	}

	public Byte getTipoventaId() {
		return this.tipoventaId;
	}

	public void setTipoventaId(Byte tipoventaId) {
		this.tipoventaId = tipoventaId;
	}

	public String getNumseriepreimpresa() {
		return this.numseriepreimpresa;
	}

	public void setNumseriepreimpresa(String numseriepreimpresa) {
		this.numseriepreimpresa = numseriepreimpresa;
	}

	public String getNumfoliopreimpreso() {
		return this.numfoliopreimpreso;
	}

	public void setNumfoliopreimpreso(String numfoliopreimpreso) {
		this.numfoliopreimpreso = numfoliopreimpreso;
	}

	public Date getFechorviaje() {
		return this.fechorviaje;
	}

	public void setFechorviaje(Date fechorviaje) {
		this.fechorviaje = fechorviaje;
	}

	public Date getFechorventa() {
		return this.fechorventa;
	}

	public void setFechorventa(Date fechorventa) {
		this.fechorventa = fechorventa;
	}

	public Integer getPuntoventaId() {
		return this.puntoventaId;
	}

	public void setPuntoventaId(Integer puntoventaId) {
		this.puntoventaId = puntoventaId;
	}

	public BigDecimal getNumkmviaje() {
		return this.numkmviaje;
	}

	public void setNumkmviaje(BigDecimal numkmviaje) {
		this.numkmviaje = numkmviaje;
	}

	public String getNumoperacion() {
		return this.numoperacion;
	}

	public void setNumoperacion(String numoperacion) {
		this.numoperacion = numoperacion;
	}

	public String getIndstatusoperacion() {
		return this.indstatusoperacion;
	}

	public void setIndstatusoperacion(String indstatusoperacion) {
		this.indstatusoperacion = indstatusoperacion;
	}

	public Byte getMotivocancelacionId() {
		return this.motivocancelacionId;
	}

	public void setMotivocancelacionId(Byte motivocancelacionId) {
		this.motivocancelacionId = motivocancelacionId;
	}

	public Byte getMotivoreimpresionId() {
		return this.motivoreimpresionId;
	}

	public void setMotivoreimpresionId(Byte motivoreimpresionId) {
		this.motivoreimpresionId = motivoreimpresionId;
	}

	public Integer getCantpuntos() {
		return this.cantpuntos;
	}

	public void setCantpuntos(Integer cantpuntos) {
		this.cantpuntos = cantpuntos;
	}

	public Integer getEmpresapuntoventaId() {
		return this.empresapuntoventaId;
	}

	public void setEmpresapuntoventaId(Integer empresapuntoventaId) {
		this.empresapuntoventaId = empresapuntoventaId;
	}

	public Integer getEmpresacorridaId() {
		return this.empresacorridaId;
	}

	public void setEmpresacorridaId(Integer empresacorridaId) {
		this.empresacorridaId = empresacorridaId;
	}

	public String getNumreservacion() {
		return this.numreservacion;
	}

	public void setNumreservacion(String numreservacion) {
		this.numreservacion = numreservacion;
	}

	public Byte getTurnoId() {
		return this.turnoId;
	}

	public void setTurnoId(Byte turnoId) {
		this.turnoId = turnoId;
	}

	public String getIndstatusboleto() {
		return this.indstatusboleto;
	}

	public void setIndstatusboleto(String indstatusboleto) {
		this.indstatusboleto = indstatusboleto;
	}

	public Boolean getIndcancelacion() {
		return this.indcancelacion;
	}

	public void setIndcancelacion(Boolean indcancelacion) {
		this.indcancelacion = indcancelacion;
	}

	public Boolean getIndreimpresion() {
		return this.indreimpresion;
	}

	public void setIndreimpresion(Boolean indreimpresion) {
		this.indreimpresion = indreimpresion;
	}

	public Boolean getIndviajeredondo() {
		return this.indviajeredondo;
	}

	public void setIndviajeredondo(Boolean indviajeredondo) {
		this.indviajeredondo = indviajeredondo;
	}

	public Date getFeccorte() {
		return this.feccorte;
	}

	public void setFeccorte(Date feccorte) {
		this.feccorte = feccorte;
	}

	public Boolean getIndextraviado() {
		return this.indextraviado;
	}

	public void setIndextraviado(Boolean indextraviado) {
		this.indextraviado = indextraviado;
	}

	public BigDecimal getParidad() {
		return this.paridad;
	}

	public void setParidad(BigDecimal paridad) {
		this.paridad = paridad;
	}

	public Date getFeccreacion() {
		return this.feccreacion;
	}

	public void setFeccreacion(Date feccreacion) {
		this.feccreacion = feccreacion;
	}

	public Integer getConveniodetId() {
		return this.conveniodetId;
	}

	public void setConveniodetId(Integer conveniodetId) {
		this.conveniodetId = conveniodetId;
	}

	public Integer getMonedaId() {
		return this.monedaId;
	}

	public void setMonedaId(Integer monedaId) {
		this.monedaId = monedaId;
	}

	public Integer getEstacionId() {
		return this.estacionId;
	}

	public void setEstacionId(Integer estacionId) {
		this.estacionId = estacionId;
	}

	public Boolean getIndreplica() {
		return this.indreplica;
	}

	public void setIndreplica(Boolean indreplica) {
		this.indreplica = indreplica;
	}

	public Integer getUsuarioautorizacionId() {
		return this.usuarioautorizacionId;
	}

	public void setUsuarioautorizacionId(Integer usuarioautorizacionId) {
		this.usuarioautorizacionId = usuarioautorizacionId;
	}

	public Byte getTipoidentificacionId() {
		return this.tipoidentificacionId;
	}

	public void setTipoidentificacionId(Byte tipoidentificacionId) {
		this.tipoidentificacionId = tipoidentificacionId;
	}

	public String getNumidentificacion() {
		return this.numidentificacion;
	}

	public void setNumidentificacion(String numidentificacion) {
		this.numidentificacion = numidentificacion;
	}

	public Long getClientefidelidadId() {
		return this.clientefidelidadId;
	}

	public void setClientefidelidadId(Long clientefidelidadId) {
		this.clientefidelidadId = clientefidelidadId;
	}

	public Integer getOpcional1() {
		return this.opcional1;
	}

	public void setOpcional1(Integer opcional1) {
		this.opcional1 = opcional1;
	}

	public Integer getOpcional2() {
		return this.opcional2;
	}

	public void setOpcional2(Integer opcional2) {
		this.opcional2 = opcional2;
	}

	public String getOpcional3() {
		return this.opcional3;
	}

	public void setOpcional3(String opcional3) {
		this.opcional3 = opcional3;
	}

	public BigDecimal getPreciocargoextra() {
		return this.preciocargoextra;
	}

	public void setPreciocargoextra(BigDecimal preciocargoextra) {
		this.preciocargoextra = preciocargoextra;
	}

	public BigDecimal getPreciopricing() {
		return this.preciopricing;
	}

	public void setPreciopricing(BigDecimal preciopricing) {
		this.preciopricing = preciopricing;
	}

	public Long getCajaoriginalId() {
		return this.cajaoriginalId;
	}

	public void setCajaoriginalId(Long cajaoriginalId) {
		this.cajaoriginalId = cajaoriginalId;
	}

	public Integer getUsuarioremotoId() {
		return this.usuarioremotoId;
	}

	public void setUsuarioremotoId(Integer usuarioremotoId) {
		this.usuarioremotoId = usuarioremotoId;
	}

	public Integer getPuntoventaremotoId() {
		return this.puntoventaremotoId;
	}

	public void setPuntoventaremotoId(Integer puntoventaremotoId) {
		this.puntoventaremotoId = puntoventaremotoId;
	}

	public String getNumdocdescuento() {
		return this.numdocdescuento;
	}

	public void setNumdocdescuento(String numdocdescuento) {
		this.numdocdescuento = numdocdescuento;
	}

	public Byte getCanttransferencia() {
		return this.canttransferencia;
	}

	public void setCanttransferencia(Byte canttransferencia) {
		this.canttransferencia = canttransferencia;
	}

	public Boolean getActivo() {
		return this.activo;
	}

	public void setActivo(Boolean activo) {
		this.activo = activo;
	}

	public Date getFecmodif() {
		return this.fecmodif;
	}

	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}

	public Integer getUsuarioId() {
		return this.usuarioId;
	}

	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}

	public Byte getNodoId() {
		return this.nodoId;
	}

	public void setNodoId(Byte nodoId) {
		this.nodoId = nodoId;
	}

	public BigDecimal getPorccategoria() {
		return this.porccategoria;
	}

	public void setPorccategoria(BigDecimal porccategoria) {
		this.porccategoria = porccategoria;
	}

	public BigDecimal getImportecategoria() {
		return this.importecategoria;
	}

	public void setImportecategoria(BigDecimal importecategoria) {
		this.importecategoria = importecategoria;
	}

	public Integer getClienteId() {
		return this.clienteId;
	}

	public void setClienteId(Integer clienteId) {
		this.clienteId = clienteId;
	}

	public Integer getPagorecaudacionId() {
		return this.pagorecaudacionId;
	}

	public void setPagorecaudacionId(Integer pagorecaudacionId) {
		this.pagorecaudacionId = pagorecaudacionId;
	}

	public Integer getPagorecaudacion2Id() {
		return this.pagorecaudacion2Id;
	}

	public void setPagorecaudacion2Id(Integer pagorecaudacion2Id) {
		this.pagorecaudacion2Id = pagorecaudacion2Id;
	}

	public BigDecimal getImportetaxaembarque() {
		return this.importetaxaembarque;
	}

	public void setImportetaxaembarque(BigDecimal importetaxaembarque) {
		this.importetaxaembarque = importetaxaembarque;
	}

	public BigDecimal getImportepedagio() {
		return this.importepedagio;
	}

	public void setImportepedagio(BigDecimal importepedagio) {
		this.importepedagio = importepedagio;
	}

	public BigDecimal getImporteoutros() {
		return this.importeoutros;
	}

	public void setImporteoutros(BigDecimal importeoutros) {
		this.importeoutros = importeoutros;
	}

	public BigDecimal getImporteseguro() {
		return this.importeseguro;
	}

	public void setImporteseguro(BigDecimal importeseguro) {
		this.importeseguro = importeseguro;
	}

	public Boolean getIndconexion() {
		return this.indconexion;
	}

	public void setIndconexion(Boolean indconexion) {
		this.indconexion = indconexion;
	}

	public Integer getLevanteId() {
		return this.levanteId;
	}

	public void setLevanteId(Integer levanteId) {
		this.levanteId = levanteId;
	}

	public Integer getRutaId() {
		return this.rutaId;
	}

	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}

	public String getSerieimpfiscal() {
		return this.serieimpfiscal;
	}

	public void setSerieimpfiscal(String serieimpfiscal) {
		this.serieimpfiscal = serieimpfiscal;
	}

	public Date getFecintegracion() {
		return this.fecintegracion;
	}

	public void setFecintegracion(Date fecintegracion) {
		this.fecintegracion = fecintegracion;
	}

	public Integer getPtovtaventaId() {
		return this.ptovtaventaId;
	}

	public void setPtovtaventaId(Integer ptovtaventaId) {
		this.ptovtaventaId = ptovtaventaId;
	}

	public Boolean getIndremotoinverso() {
		return this.indremotoinverso;
	}

	public void setIndremotoinverso(Boolean indremotoinverso) {
		this.indremotoinverso = indremotoinverso;
	}

	public Date getFecnacimiento() {
		return this.fecnacimiento;
	}

	public void setFecnacimiento(Date fecnacimiento) {
		this.fecnacimiento = fecnacimiento;
	}

	public String getDispositivoembarcada() {
		return this.dispositivoembarcada;
	}

	public void setDispositivoembarcada(String dispositivoembarcada) {
		this.dispositivoembarcada = dispositivoembarcada;
	}

	public Long getNumerobilheteembarcada() {
		return this.numerobilheteembarcada;
	}

	public void setNumerobilheteembarcada(Long numerobilheteembarcada) {
		this.numerobilheteembarcada = numerobilheteembarcada;
	}

	public String getNumasientovinculado() {
		return this.numasientovinculado;
	}

	public void setNumasientovinculado(String numasientovinculado) {
		this.numasientovinculado = numasientovinculado;
	}

	public String getCcf() {
		return this.ccf;
	}

	public void setCcf(String ccf) {
		this.ccf = ccf;
	}

	public Date getFechorventaH() {
		return this.fechorventaH;
	}

	public void setFechorventaH(Date fechorventaH) {
		this.fechorventaH = fechorventaH;
	}

	public String getSerieimpfiscaloriginal() {
		return this.serieimpfiscaloriginal;
	}

	public void setSerieimpfiscaloriginal(String serieimpfiscaloriginal) {
		this.serieimpfiscaloriginal = serieimpfiscaloriginal;
	}

	public Boolean isIndintegradoag() {
		return this.indintegradoag;
	}

	public void setIndintegradoag(Boolean indintegradoag) {
		this.indintegradoag = indintegradoag;
	}

	public Long getTransacaoId() {
		return this.transacaoId;
	}

	public void setTransacaoId(Long transacaoId) {
		this.transacaoId = transacaoId;
	}

	public Long getTransacaooriginalId() {
		return this.transacaooriginalId;
	}

	public void setTransacaooriginalId(Long transacaooriginalId) {
		this.transacaooriginalId = transacaooriginalId;
	}

	public String getDescnumdoc() {
		return this.descnumdoc;
	}

	public void setDescnumdoc(String descnumdoc) {
		this.descnumdoc = descnumdoc;
	}

	public String getDescnumdoc2() {
		return this.descnumdoc2;
	}

	public void setDescnumdoc2(String descnumdoc2) {
		this.descnumdoc2 = descnumdoc2;
	}

	public String getDesctipodoc() {
		return this.desctipodoc;
	}

	public void setDesctipodoc(String desctipodoc) {
		this.desctipodoc = desctipodoc;
	}

	public String getDesctipodoc2() {
		return this.desctipodoc2;
	}

	public void setDesctipodoc2(String desctipodoc2) {
		this.desctipodoc2 = desctipodoc2;
	}

	public String getDesctelefono() {
		return this.desctelefono;
	}

	public void setDesctelefono(String desctelefono) {
		this.desctelefono = desctelefono;
	}

	public Long getAidfId() {
		return this.aidfId;
	}

	public void setAidfId(Long aidfId) {
		this.aidfId = aidfId;
	}

	public String getNacionalidad() {
		return this.nacionalidad;
	}

	public void setNacionalidad(String nacionalidad) {
		this.nacionalidad = nacionalidad;
	}

	public String getSexo() {
		return this.sexo;
	}

	public void setSexo(String sexo) {
		this.sexo = sexo;
	}

	public List<CajaFormaPago> getCajaFormaPago() {
		return cajaFormaPago;
	}

	public void setCajaFormaPago(List<CajaFormaPago> cajaFormaPago) {
		this.cajaFormaPago = cajaFormaPago;
	}

	public Integer getIntegradoTotvs() {
		return integradoTotvs;
	}

	public void setIntegradoTotvs(Integer integradoTotvs) {
		this.integradoTotvs = integradoTotvs;
	}

	public String getErro() {
		return erro;
	}

	public void setErro(String erro) {
		this.erro = erro;
	}

	public Date getFechorIntegradoTotvs() {
		return fechorIntegradoTotvs;
	}

	public void setFechorIntegradoTotvs(Date fechorIntegradoTotvs) {
		this.fechorIntegradoTotvs = fechorIntegradoTotvs;
	}

	public Integer getContadorIntegradoTotvs() {
		return contadorIntegradoTotvs;
	}

	public void setContadorIntegradoTotvs(Integer contadorIntegradoTotvs) {
		this.contadorIntegradoTotvs = contadorIntegradoTotvs;
	}

}
